
#ifndef CRRC_CTRLGEN_H
#define CRRC_CTRLGEN_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "crrc_spin.h"

class CGUICtrlGeneralDialog;

/** \brief The CtrlGeneral options dialog.
 *
 */
class CGUICtrlGeneralDialog : public CRRCDialog
{
  public:
    CGUICtrlGeneralDialog();
    ~CGUICtrlGeneralDialog();
    
    void rebuildJoystickComboBox();
   
    puComboBox* combo_inputMethod;
    puComboBox* combo_zoom;
    puButton*   button_calibrate;
    puButton*   button_mixer;
    puButton*   button_joybuttons;
    puComboBox* combo_device;
    puComboBox* combo_speed;
    
    puComboBox* combo_joyNum;
    int         nCombo_joyNum;
    char**      combo_joyNum_list;
};

#endif // CRRC_CTRLGEN_H
