// crrc_location.h - Location selection dialog

#ifndef CRRC_LOCATION_H
#define CRRC_LOCATION_H

#include <plib/pu.h>
#include <vector>
#include <string>

#include "crrc_dialog.h"

class CGUILocationDialog;

/** \brief The location selection dialog.
 *
 *  This dialog provides a combo box with all
 *  available locations.
 */
class CGUILocationDialog : public CRRCDialog
{
  public:
    CGUILocationDialog();
    ~CGUILocationDialog();
  
  std::string getLocation() const;
  
  private:
    puComboBox  *cbox;
};

#endif // CRRC_LOCATION_H
