# make_Resources.sh shell script
#   This shell permits to build Resources folders into bunble application.
#   This script is based on 
#
echo "TARGET_BUILD_DIR:   $TARGET_BUILD_DIR"
echo "BUILT_PRODUCTS_DIR: $BUILT_PRODUCTS_DIR"
echo "TEMP_FILES_DIR:     $TEMP_FILES_DIR"
echo "PRODUCT_NAME        $PRODUCT_NAME"
echo "TARGET_NAME         $TARGET_NAME"

mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/models/
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/scenery/
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/f3f/beep
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/f3f/default
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/f3f/sport
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/textures/
mkdir -p $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/objects/

cp $SOURCE_ROOT/../../models/*.air   $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/models/
cp $SOURCE_ROOT/../../scenery/*.xml  $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/scenery/
cp $SOURCE_ROOT/../../scenery/*.tga  $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/scenery/
cp $SOURCE_ROOT/../../sounds/*.wav   $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/
cp $SOURCE_ROOT/../../sounds/*.wav   $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/f3f/beep
cp $SOURCE_ROOT/../../sounds/*.wav   $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/f3f/default
cp $SOURCE_ROOT/../../sounds/*.wav   $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/sounds/f3f/sport
cp $SOURCE_ROOT/../../textures/*.rgb $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/textures/
cp $SOURCE_ROOT/../../textures/*.bw  $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/textures/
cp $SOURCE_ROOT/../../objects/*.ac   $TARGET_BUILD_DIR/crrcsim.app/Contents/Resources/objects/
